%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-batch-1.0-api
Version:          1.0.0
Release:          3%{?dist}
Summary:          Batch Applications 1.0 API
License:          ASL 2.0
URL:              http://www.jboss.org
Source0:          https://github.com/jboss/jboss-batch-api_spec/archive/jboss-batch-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    cdi-api

BuildArch:        noarch

%description
JSR 352: Batch Applications for the Java Platform API classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-batch-api_spec-jboss-batch-api_1.0_spec-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Initial packaging


